# FoundationClasses
TKAdvTools
GraphDS

# GraphDS_DataMapNodeOfEntityRoleMap Class Reference

`#include <GraphDS_DataMapNodeOfEntityRoleMap.hxx>`

Inheritance diagram for GraphDS_DataMapNodeOfEntityRoleMap:

[legend]

## Public Member Functions

| GraphDS_DataMapNodeOfEntityRoleMap (const Handle(Standard_Transient)&K, const GraphDS_EntityRole &I, const TCollection_MapNodePtr &n)
Handle_Standard_Transient & | Key () const
GraphDS_EntityRole & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myKey
GraphDS_EntityRole | myValue

## Constructor & Destructor Documentation

GraphDS_DataMapNodeOfEntityRoleMap::GraphDS_DataMapNodeOfEntityRoleMap | ( | const Handle(Standard_Transient)& | K,
|  | const GraphDS_EntityRole & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const GraphDS_DataMapNodeOfEntityRoleMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Handle_Standard_Transient& GraphDS_DataMapNodeOfEntityRoleMap::Key | ( |  | ) | const

GraphDS_EntityRole& GraphDS_DataMapNodeOfEntityRoleMap::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient GraphDS_DataMapNodeOfEntityRoleMap::myKey `[private]`

GraphDS_EntityRole GraphDS_DataMapNodeOfEntityRoleMap::myValue `[private]`

The documentation for this class was generated from the following file:

- GraphDS_DataMapNodeOfEntityRoleMap.hxx